workspace "BarinkEngine"
	configurations { "Debug", "Test", "Release" } 

	language "C++"
	cppdialect "C++17"

	targetdir "./build/%{prj.name}/%{cfg.buildcfg}"
	objdir "./intermediates/%{prj.name}/%{cfg.buildcfg}"

	architecture "x86_64"


	filter "configurations:Debug"
			defines {"DEBUG"}
			symbols "On"

	filter "configurations:Release"
		defines {"NDEBUG"}
		optimize "On"

include("./SandboxApplication")

include("./BarinkEngine")
